-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Client :  127.0.0.1
-- Généré le :  Mar 15 Mars 2016 à 11:32
-- Version du serveur :  5.6.17
-- Version de PHP :  5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données :  `tpweb`
--

-- --------------------------------------------------------

--
-- Structure de la table `party`
--

DROP TABLE IF EXISTS `party`;
CREATE TABLE IF NOT EXISTS `party` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `player1_id` int(11) NOT NULL,
  `player2_id` int(11) DEFAULT NULL,
  `winner` int(11) NOT NULL,
  `duration` int(11) DEFAULT NULL,
  `level` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'DIFFICULT',
  `party_date` date NOT NULL,
  `party_time` time NOT NULL,
  `complete` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `IDX_89954EE0C0990423` (`player1_id`),
  KEY `IDX_89954EE0D22CABCD` (`player2_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Vider la table avant d'insérer `party`
--

TRUNCATE TABLE `party`;
--
-- Contenu de la table `party`
--

INSERT INTO `party` (`id`, `player1_id`, `player2_id`, `winner`, `duration`, `level`, `party_date`, `party_time`, `complete`) VALUES
(1, 1, 2, 1, 32000, 'DIFFICULT', '2016-03-15', '08:00:00', 1),
(2, 1, 2, 1, 27000, 'DIFFICULT', '2016-03-14', '17:30:00', 1),
(3, 1, 2, 2, 33000, 'DIFFICULT', '2016-03-15', '08:03:00', 1),
(4, 1, 3, 2, 18540, 'MEDIUM', '2016-03-11', '12:30:00', 1),
(5, 1, 3, 1, 26500, 'DIFFICULT', '2016-03-13', '16:00:00', 1),
(6, 1, NULL, 0, 0, 'DIFFICULT', '2016-03-15', '14:30:00', 0);

-- --------------------------------------------------------

--
-- Structure de la table `player`
--

DROP TABLE IF EXISTS `player`;
CREATE TABLE IF NOT EXISTS `player` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `civility` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `first_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `last_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `phone` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mail` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `connected` tinyint(1) NOT NULL,
  `connection_date` date NOT NULL,
  `connection_time` time NOT NULL,
  `subscription_date` date NOT NULL,
  `subscription_time` time NOT NULL,
  PRIMARY KEY (`id`),
  KEY `mail_index` (`mail`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

--
-- Vider la table avant d'insérer `player`
--

TRUNCATE TABLE `player`;
--
-- Contenu de la table `player`
--

INSERT INTO `player` (`id`, `civility`, `first_name`, `last_name`, `phone`, `mail`, `connected`, `connection_date`, `connection_time`, `subscription_date`, `subscription_time`) VALUES
(1, 'M.', 'Joseph', 'Fourier', '', 'joseph.fourier@gmail.com', 0, '2016-03-15', '09:00:00', '2015-02-10', '17:00:00'),
(2, 'M.', 'Alain', 'TURING', '', 'alain.turing@gmail.com', 0, '2016-03-15', '08:00:00', '2015-09-08', '12:00:00'),
(3, 'Mme', 'Ada', 'LOVELACE', '', 'ada.lovelace@gmail.com', 1, '2016-03-15', '13:00:00', '2016-01-01', '01:00:00');

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `party`
--
ALTER TABLE `party`
  ADD CONSTRAINT `FK_89954EE0C0990423` FOREIGN KEY (`player1_id`) REFERENCES `player` (`id`),
  ADD CONSTRAINT `FK_89954EE0D22CABCD` FOREIGN KEY (`player2_id`) REFERENCES `player` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
